
package eu.etaxonomy.taxeditor.bulkeditor;

import eu.etaxonomy.taxeditor.bulkeditor.input.OccurrenceEditorInput;

public class PropertyTester extends org.eclipse.core.expressions.PropertyTester {

	public static final String IS_DERIVED_UNIT_EDITOR = "isDerivedUnitEditor";
	
	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		
		BulkEditor editor = (BulkEditor) receiver;
		
		if(IS_DERIVED_UNIT_EDITOR.equals(property)){
			return editor.getEditorInput() instanceof OccurrenceEditorInput;
		}
		
		return false;
	}

}
